Package org.jbpm.services.task.commands

## Class GetTasksByProcessInstanceIdCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<Long>>
  - - org.jbpm.services.task.commands.GetTasksByProcessInstanceIdCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<Long>>`, `org.kie.api.command.ExecutableCommand<List<Long>>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class GetTasksByProcessInstanceIdCommand
      extends TaskCommand<List<Long>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetTasksByProcessInstanceIdCommand()` |
    `GetTasksByProcessInstanceIdCommand​(Long processInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Long>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Long` | `getProcessInstanceId()` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTasksByProcessInstanceIdCommand

          public GetTasksByProcessInstanceIdCommand()

    - #### GetTasksByProcessInstanceIdCommand

          public GetTasksByProcessInstanceIdCommand​(Long processInstanceId)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### execute

          public List<Long> execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<Long>>`